Loading...
Searching...
No Matches
OpenMesh::Predicates::MemberFunctionWrapper< T, MF > Struct Template Reference

Wrapper object to hold an object and a member function pointer, and provides operator() to call that member function for that object with one argument. More...

`#include <OpenMesh/Core/Utils/Predicates.hh>`

## Public Member Functions

| MemberFunctionWrapper (T _t, MF _mf)
template<typename O>
auto | operator() (const O &_o) -> decltype((t_.*mf_)(_o))

## Public Attributes

T | t_
MF | mf_

## Detailed Description

template<typename T, typename MF>
struct OpenMesh::Predicates::MemberFunctionWrapper< T, MF >

Wrapper object to hold an object and a member function pointer, and provides operator() to call that member function for that object with one argument.

The documentation for this struct was generated from the following file:

- OpenMesh/Core/Utils/Predicates.hh